blog-article {
    display: flex;
    gap: 1rem;
    flex-direction: column;
    margin: 2rem 0;
    transition: all 0.2s ease-in-out;
}

blog-article:not(.in-view) {
    scale: 0.9;
    opacity: 0.5;
}

img {
    max-width: 100%;
}

.article-heading {
    width: 100%;
    text-align: center;
}

@keyframes pulse {
    0% {
        opacity: 0.3;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0.3;
    }
}

.article-headline.skeleton {
    width: 70%;
    height: 30px;
}

.article-content.skeleton {
    width: 100%;
    height: 100px;
}

.skeleton {
    background: var(--background-light);
    animation: pulse 2s infinite ease-in-out;
    border-radius: var(--border-radius);
}
